<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja">
<head>
<title>timelineプラグイン - 年次カレンダー(2x6)</title>
{assign var='len' value=2}
{* caly26,caly34,caly43,caly62 は兄弟で、↑2行のみ違います。修正する際は兄弟全てbodyタグの内側は同一にしてください。 *}
</head>
<body>
{assign var='ite' value=0}
{foreach from=$cal item=cal_1 key=year name=year}
{  if $smarty.foreach.year.first}
<div class="wp_timeline_year_title">
{if $page_p!=''}<a href="#" class="wp_timeline_cal_pre" onclick="{$page_p}">＜</a>{/if}
{$year|string_format:"%04d"}年
{if $page_n!=''}<a href="#" class="wp_timeline_cal_next" onclick="{$page_n}">＞</a>{/if}
</div>
{  /if}
{  foreach from=$cal_1 item=cal_2 key=month name=monthloop}
{  assign var='ite' value=$ite+1}
<div class="wp_timeline_year{$len}{math equation="12 / x" x=$len}">
<table class="wp_timeline_cal wp_timeline_cal01">
<caption  class="wp_timeline_title">{$month|string_format:"%02d"}月</caption>
<tbody>
  <tr>{foreach from=$dayofweek item=cell}<th class="wp_timeline_{if $cell.index == '0'}sun{elseif $cell.index == '6'}sat{else}weekday{/if}">{$cell.label}</th>{/foreach}</tr>
{    foreach from=$cal_2 item=day key=key}
{      if $day.head_of_w > 0}
  <tr>
{      /if}
    <td class="wp_timeline_{if $day.week == '0'}sun{elseif $day.week == '6'}sat{else}weekday{/if}{if $day.key == $now_date} wp_timeline_today{/if}">
{      if $day.gap == 0}
      <div class="wp_timeline_dropdown">
{        if isset($data[$day.key]) && $data[$day.key]|@count >0}
        <span class="wp_timeline_dropdown_key"><a href="#" onclick="return(false);">{$day.day}</a></span>
        <div class="wp_timeline_dropdown_box">
{          section name=cell loop=$data[$day.key]}
          <p>
{            if $data[$day.key][cell].fresh == 1}
            <img src="wikiplus/image/wp_new.png" alt="new" />
{            /if}
{            if $data[$day.key][cell].url != ""}
            <a href="{$data[$day.key][cell].url}">{$data[$day.key][cell].linkname}</a>{$data[$day.key][cell].admin_tag}
{            else}
            {$data[$day.key][cell].linkname}
{            /if}
          </p>
{          /section}
        </div>
{        else}
        <span class="wp_timeline_dropdown_key">{$day.day}</span>
{        /if}
      </div>
{      else}
      &nbsp;
{      /if}
    </td>
{      if $day.bot_of_w > 0}
  </tr>
{      /if}
{    /foreach}
</tbody>
</table>
</div>
{    if $ite % $len == 0}
<br class="wp_timeline_clear" />
{    /if}
{  /foreach}
{/foreach}
</body>
</html>
